org.eclipse.cdt.core

## Class CDescriptorEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.cdt.core.CDescriptorEvent

All Implemented Interfaces:
  Serializable

Deprecated.
register `ICProjectDescriptionListener` for `CProjectDescriptionEvent`

    @Deprecated
    public class CDescriptorEvent
    extends EventObject

See Also:
  Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static int` `CDTPROJECT_ADDED` Deprecated.
`static int` `CDTPROJECT_CHANGED` Deprecated.
`static int` `CDTPROJECT_REMOVED` Deprecated.
`static int` `EXTENSION_CHANGED` Deprecated.
`static int` `OWNER_CHANGED` Deprecated.

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`CDescriptorEvent(ICDescriptor descriptor, int type, int flags)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ICDescriptor` `getDescriptor()` Deprecated.
`int` `getFlags()` Deprecated.
`int` `getType()` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CDTPROJECT_CHANGED

    public static final int CDTPROJECT_CHANGED

Deprecated.

See Also:
  Constant Field Values

#### CDTPROJECT_ADDED

    public static final int CDTPROJECT_ADDED

Deprecated.

See Also:
  Constant Field Values

#### CDTPROJECT_REMOVED

    public static final int CDTPROJECT_REMOVED

Deprecated.

See Also:
  Constant Field Values

#### OWNER_CHANGED

    public static final int OWNER_CHANGED

Deprecated.

See Also:
  Constant Field Values

#### EXTENSION_CHANGED

    public static final int EXTENSION_CHANGED

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### CDescriptorEvent

    public CDescriptorEvent(ICDescriptor descriptor,
                            int type,
                            int flags)

Deprecated.

### Method Detail

#### getDescriptor

    public ICDescriptor getDescriptor()

Deprecated.

#### getType

    public int getType()

Deprecated.

#### getFlags

    public int getFlags()

Deprecated.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `EventObject`